"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.prettierFilter = void 0;
const prettier_1 = require("prettier");
/**
 * This function defines a filter that applies prettier to a string.
 * @param string The string to apply prettier on.
 * @returns The formatted string
 */
function prettier(string) {
    return (0, prettier_1.format)(string, { parser: 'typescript', tabWidth: 4, singleQuote: true });
}
exports.prettierFilter = {
    name: 'prettier',
    function: prettier,
};
//# sourceMappingURL=prettier.js.map