"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.startsWithFilter = void 0;
/**
 * This function defines a filter that checks if a given string starts with the
 * provided search string.
 * @param string The string to be checked.
 * @param searchString The search string.
 * @returns True if the given string ends with the search string, else false.
 */
function startsWith(string, searchString) {
    return string.startsWith(searchString);
}
exports.startsWithFilter = {
    name: 'startsWith',
    function: startsWith,
};
//# sourceMappingURL=startsWith.js.map