/**
 * This function defines a filter that splits a given string into an array of
 * substrings divided by the provided split string.
 * @param string The string to be split.
 * @param splitString The split string.
 * @example
 * ```
 * "This is a test" | split(" ") = ["This", "is", "a", "test"]
 * ```
 * @returns The array of substrings.
 */
function split(string, splitString) {
    return string.split(splitString);
}
export const splitFilter = {
    name: 'split',
    function: split,
};
//# sourceMappingURL=split.js.map