/**
 * This function defines a filter which attempts to stringify a given object.
 * @param object The object to be stringified.
 * @param indentation The indentation to be used during JSON.stringify.
 * @returns The stringified object.
 */
function stringify(object, indentation = 0) {
    return JSON.stringify(object, null, indentation);
}
export const stringifyFilter = {
    name: 'stringify',
    function: stringify,
};
//# sourceMappingURL=stringify.js.map