import { commonFilters } from './common';
import { formatFilters } from './format';
import { generateFilters } from './generate';
import { helperFilters } from './helper';
import { resolveFilters } from './resolve';
import { typingFilters } from './typing';
export const filters = [
    ...commonFilters,
    ...formatFilters,
    ...generateFilters,
    ...helperFilters,
    ...resolveFilters,
    ...typingFilters,
];
//# sourceMappingURL=index.js.map